Public Class eventodraganddrop
    Private MouseIsDown As Boolean = False
    Private Sub TextBox1_MouseDown(ByVal sender As Object, ByVal e As _
    System.Windows.Forms.MouseEventArgs) Handles TextBox1.MouseDown
        ' Set a flag to show that the mouse is down.
        MouseIsDown = True
    End Sub
    Private Sub TextBox1_MouseMove(ByVal sender As Object, ByVal e As _
    System.Windows.Forms.MouseEventArgs) Handles TextBox1.MouseMove
        If MouseIsDown Then
            ' Initiate dragging.
            TextBox1.DoDragDrop(TextBox1.Text, DragDropEffects.Copy)
        End If
        MouseIsDown = False
    End Sub
    Private Sub TextBox2_DragEnter(ByVal sender As Object, ByVal e As _
    System.Windows.Forms.DragEventArgs) Handles TextBox2.DragEnter
        ' Check the format of the data being dropped.
        If (e.Data.GetDataPresent(DataFormats.Text)) Then
            ' Display the copy cursor.
            e.Effect = DragDropEffects.Copy
        Else
            ' Display the no-drop cursor.
            e.Effect = DragDropEffects.None
        End If
    End Sub
    Private Sub TextBox2_DragDrop(ByVal sender As Object, ByVal e As _
    System.Windows.Forms.DragEventArgs) Handles TextBox2.DragDrop
        ' Paste the text.
        TextBox2.Text = e.Data.GetData(DataFormats.Text)
    End Sub
    Private Sub eventodraganddrop_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        TextBox1.ReadOnly = True 'Al cargar el formulario el TextBox1 no est habilitado para escritura. Se habilitar nicamente cuando el usuario haga clic en el botn comenzar, pues es entonces que se comienza a contar el tiempo.
        'Para que al cargar el formulario se muestren los contadores inicializados en cero.
        TextBoxaciertos.Text = "0"
        TextBoxdesaciertos.Text = "0"
    End Sub
    Private Sub Buttonterminarjuego11_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Buttonterminarjuego11.Click
        Dim mensaje As String
        mensaje = MsgBox("Desea realmente terminar este juego?", MsgBoxStyle.YesNo, "USO DEL MOUSE 1.0")
        If mensaje = 6 Then
            resultado1.TextBoxaciertos1.Text = TextBoxaciertos.Text 'El nmero de aciertos se manda a imprimir al TextBox "TextBoxaciertos" que est en el formulario "resultado1".
            resultado1.TextBoxdesaciertos1.Text = TextBoxdesaciertos.Text 'El nmero de desaciertos se mana a imprimir al TextBox "TextBoxdesaciertos" que est en el formulario "resultado1".
            resultado1.TextBoxnotafinal1.Text = 10 / (Val(TextBoxaciertos.Text) + Val(TextBoxdesaciertos.Text)) * Val(TextBoxaciertos.Text) 'Determinar e imprimir la nota final.
            Me.Close() 'Cierra el formulario actual (para que pierda todas las variables, pues si se usara "Me.Hide()" solamente se oculta y quedan activas todas las variables y todo lo que hay en el formulario. 
            resultado1.Show() 'Mandar a llamar al formulario de resultados. El juego ha terminado.
        End If
    End Sub
    Private Sub Buttoncomenzar1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Buttoncomenzar1.Click
        Timer1.Enabled = True
        Timer2.Enabled = True
        TextBox1.Text = "Arrastrar texto"
        TextBox3.Text = "" 'Para que borre el resultado del proceso anterior.
    End Sub
    Private Sub Timer1_Tick(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Timer1.Tick
        'El Timer1 tiene un Interval de 5000, quiere decir que cada 5 segundos se ejecuta, aunque con el "Timer1.Enabled = False" se desactiva.
        If TextBox1.Text = TextBox2.Text And TextBox1.Text <> "" Then 'Con esto se garantiza que el usuario ha podido arrastrar correctamente el texto del TextBox1 al TextBox2, pues si no ha escrito nada la respuesta es mala. No podr escribir directamente en el TextBox2 porque est protegido contra escritura. Entonces la nica manera de que el usuario tenga esta parte correcta es que haya arrastrado correctamente el texto que escribi en el TextBox1 al TextBox2.
            contadoraciertosarrastrar += 1
            TextBox3.Text = "Felicidades, has ganado un punto."
            TextBoxaciertos.Text = Str(contadoraciertosarrastrar)
            TextBox1.Text = ""
            TextBox2.Text = ""
            TextBox1.ReadOnly = True 'Para que no se pueda escribir en el TextBox1, sino que est activado nicamente al comenzar a contar el tiempo.
        Else
            contadordesaciertosarrastrar += 1
            TextBox3.Text = "Lo sentimos, has perdido un punto."
            TextBoxdesaciertos.Text = Str(contadordesaciertosarrastrar)
            TextBox1.Text = ""
            TextBox2.Text = ""
            TextBox1.ReadOnly = True 'Para que no se pueda escribir en el TextBox1, sino que est activado nicamente al comenzar a contar el tiempo.
        End If
    End Sub
    Private Sub Timer2_Tick(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Timer2.Tick
        Timer1.Enabled = False 'Para que solamente una vez se d el resultado correcto o equivocado del arrastre del usuario, y que se vuelva a activar hasta que se haga otro clic.
        Timer2.Enabled = False 'Se desactiva el Timer2 (que es el que sirve para desactivar el Timer1.
    End Sub
    Private Sub Buttonanterior11_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Buttonanterior11.Click
        Dim mensaje As String
        mensaje = MsgBox("Esta accin cancelar el juego actual. Desea continuar?", MsgBoxStyle.YesNo, "USO DEL MOUSE 1.0")
        If mensaje = 6 Then
            resultado1.TextBoxaciertos1.Text = TextBoxaciertos.Text 'El nmero de aciertos se manda a imprimir al TextBox "TextBoxaciertos" que est en el formulario "resultado1".
            resultado1.TextBoxdesaciertos1.Text = TextBoxdesaciertos.Text 'El nmero de desaciertos se mana a imprimir al TextBox "TextBoxdesaciertos" que est en el formulario "resultado1".
            resultado1.TextBoxnotafinal1.Text = 10 / (Val(TextBoxaciertos.Text) + Val(TextBoxdesaciertos.Text)) * Val(TextBoxaciertos.Text) 'Determinar e imprimir la nota final.
            Me.Close() 'Cierra el formulario actual (para que pierda todas las variables, pues si se usara "Me.Hide()" solamente se oculta y quedan activas todas las variables y todo lo que hay en el formulario. 
            eventodobleclic.Show() 'Mandar a llamar al formulario "eventodobleclic". El juego ha terminado.            
            contadordesaciertosarrastrar = 0
            contadoraciertosarrastrar = 0
        End If
    End Sub
End Class